Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class PicPointExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.PicPointExpression

All Implemented Interfaces:
  ExpressionConstants

Direct Known Subclasses:
  LaTeXPicPointExpression, PSTPicPointExpression

public class PicPointExpression
extends AbstractRegularExpression

An expression for 2D-Point parsing e.g. "(12.3, 34.5)" or "[12.1;-16]" If a coordinate conversion is necessary, it must be computed in the body of the action() method

Since:
  jpicedt 1.3
Version:
  $Id: PicPointExpression.java,v 1.4.2.1 2007/09/02 11:56:14 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`PicPointExpression(String prefix, String delimiter, String postfix)`

Method Summary
`PicPoint` | `getPicPoint()` Returns the parsed PicPoint
`boolean` | `interpret(Context c)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PicPointExpression

    public PicPointExpression(String prefix,
                              String delimiter,
                              String postfix)

Parameters:
  `prefix` - the opening bracket e.g. "("
  `delimiter` - the string that delimits the border between the two numbers e.g. ","
  `postfix` - the closing bracket e.g. ")" A typical use would be : PicPointExpression("(", ",", ")")

Method Detail

### interpret

    public boolean interpret(Context c)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if expr has been found send a ParserEvent with value = parsed PicPoint
  Throws:
    `IncompleteSequence` - exception if there's nothing after the prefix...
    `REParserException` - if an error occur during parsing

### getPicPoint

    public PicPoint getPicPoint()

  Returns the parsed PicPoint

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org